Block.io PHP
===========

**Current Release**: 2.0.2  
**06/09/21**: Minor. Adds support for dynamic decryption algorithms.  
**06/01/21**: Maintenance release. Fix Windows missing CACERT error.  
**05/27/21**: BREAKING CHANGES. Transaction interfaces have changed. Test thoroughly before use.  

PHP wrapper for [Block.io](https://block.io/) for use with [Dogecoin](http://dogecoin.com/), [Bitcoin](http://bitcoin.org/), and [Litecoin](http://litecoin.org). Simple abstraction layer on top of existing API interfaces, and automatic JSON decoding on response.  

### Requirements

This library requires: gmp, cURL, mbstring, and bcmath extensions. PHP7.2, PHP7.3, PHP7.4, or PHP8.0.

### Warning

Make sure all PHPUnit tests pass before using this library on your system.

### Usage

Install via [Composer](https://getcomposer.org/)

```sh
{
    "require":{
	"block_io-php/block_io-php": "2.0.2",
	"bitwasp/bitcoin": "dev-minimal"
    },
    "repositories": [
        {
            "type": "git",
            "url": "https://github.com/doersf/bitcoin-php.git"
        }
    ]
}
```

See examples/ and https://block.io/api/simple/php for basic usage.

Please see [Block.io PHP Docs](https://block.io/api/simple/php) for details on available calls.

